import request from '@/utils/request'

// 查询设备检测列表
export function listTest(query) {
  return request({
    url: '/track/test/list',
    method: 'get',
    params: query
  })
}

// 查询设备检测详细
export function getTest(id) {
  return request({
    url: '/track/test/' + id,
    method: 'get'
  })
}

// 新增设备检测
export function addTest(data) {
  return request({
    url: '/track/test',
    method: 'post',
    data: data
  })
}

// 修改设备检测
export function updateTest(data) {
  return request({
    url: '/track/test',
    method: 'put',
    data: data
  })
}

// 删除设备检测
export function delTest(id) {
  return request({
    url: '/track/test/' + id,
    method: 'delete'
  })
}

// 导出设备检测
export function exportTest(query) {
  return request({
    url: '/track/test/export',
    method: 'get',
    params: query
  })
}
